unit UGenerica;

interface

uses SysUtils, Windows, IniFiles;

  function Existe_ArquiINI(vNomeDoIni: String): Boolean;
  procedure CriarValorDefault(vNomeDoArquivoIni: String);
  procedure GravarNoIni(vNomeDoArquivoIni, vSt1, vSt2, vSt3: String;
    vBl1: Boolean; vInt1: Integer);
  function LeValorIndividual(vNomeDoArquivoIni: String;
    vNumero: SHORT): Variant;

  Const aplic = 'Aplicacao.ini';
  
implementation

function Existe_ArquiINI(vNomeDoIni: String): Boolean;
var
 vCaminho : String;
 vLocal   : String;
begin
 SetLength(vCaminho, MAX_PATH);
 GetWindowsDirectory(PChar(vCaminho), MAX_PATH);
 vLocal := Copy(vCaminho,1,StrLen(Pchar(vCaminho))) + '\' + vNomeDoIni;

 if FileExists(vLocal) = True then
    Result := True
 Else
    Result := False;
End;

procedure CriarValorDefault(vNomeDoArquivoIni: String);
var
  vMeuIni : TIniFile;
begin
  vMeuIni := TInifile.Create(vNomeDoArquivoIni);
 try
  vMeuIni.WriteString('APLICACAO','NOME_APLIC','ExioSystems');
  vMeuIni.WriteString('APLICACAO','NOME_EMPRE','ExiOixE');
  vMeuIni.WriteString('APLICACAO','CAPTION','Teste de Arq. Ini');
  vMeuIni.WriteBool('ENTRADA','SPLASH',TRUE);
  vMeuIni.WriteInteger('APLICACAO','TEMPO_SEG',4);
 finally
  vMeuIni.Free;
 end;
end;

procedure GravarNoIni(vNomeDoArquivoIni, vSt1, vSt2, vSt3: String;
    vBl1: Boolean; vInt1: Integer);
var
  vMeuIni : TIniFile;
begin
  vMeuIni := TIniFile.Create(vNomeDoArquivoIni);
 try
  vMeuIni.WriteString('APLICACAO','NOME_APLIC',vSt1);
  vMeuIni.WriteString('APLICACAO','NOME_EMPRE',vSt2);
  vMeuIni.WriteString('APLICACAO','CAPTION',vSt3);
  vMeuIni.WriteBool('ENTRADA','SPLASH',vBl1);
  vMeuIni.WriteInteger('APLICACAO','TEMPO_SEG',vInt1);
 finally
  vMeuIni.Free;
 end;
end;

function LeValorIndividual(vNomeDoArquivoIni: String;
    vNumero: SHORT): Variant;
var
 vMeuIni : TiniFile;
begin
 vMeuIni := TiniFile.Create(vNomeDoArquivoIni);
 try
  Case vNumero of
   0 : Result := vMeuIni.ReadString('APLICACAO','NOME_APLIC','ExioSystems');
   1 : Result := vMeuIni.ReadString('APLICACAO','NOME_EMPRE','ExiOixE');
   2 : Result := vMeuIni.ReadString('APLICACAO','CAPTION','Teste de Arq. Ini');
   3 : Result := vMeuIni.ReadBool('ENTRADA','SPLASH',TRUE);
   4 : Result := vMeuIni.ReadInteger('APLICACAO','TEMPO_SEG',4);
  end;
 finally
  vMeuIni.Free;
 end;
end;




end.
